- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# gluster_peer – Attach/Detach peers to/from the cluster

New in version 2.6.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Create or diminish a GlusterFS trusted storage pool. A set of nodes can be added into an existing trusted storage pool or a new storage pool can be formed. Or, nodes can be removed from an existing trusted storage pool.

## Requirements

The below requirements are needed on the host that executes this module.

- GlusterFS > 3.2

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
force boolean | Choices: no ← yes | Applicable only while removing the nodes from the pool. gluster will refuse to detach a node from the pool if any one of the node is down, in such cases force can be used.
nodes - / required |  | List of nodes that have to be probed into the pool.
state - / required | Choices: present ← absent | Determines whether the nodes should be attached to the pool or removed from the pool. If the state is present, nodes will be attached to the pool. If state is absent, nodes will be detached from the pool.

## Notes

Note

- This module does not support check mode.

## Examples

    - name: Create a trusted storage pool
      gluster_peer:
            state: present
            nodes:
                 - 10.0.1.5
                 - 10.0.1.10

    - name: Delete a node from the trusted storage pool
      gluster_peer:
             state: absent
             nodes:
                  - 10.0.1.10

    - name: Delete a node from the trusted storage pool by force
      gluster_peer:
             state: absent
             nodes:
                  - 10.0.0.1
             force: true

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Sachidananda Urs (@sac)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.